<%- include('partials/nav', {active: "metadata"}); %>
<script>
    function addToList(uri) {
        if (String(document.getElementById.value).substr(String(document.getElementById('list').value).length -1) != '\n') {
            document.getElementById('list').value += '\n';
        }
        document.getElementById('list').value += uri;
    }
</script>
<div class="container-fluid">
    <div class="row d-flex d-md-block flex-nowrap wrapper">
        <main class="col-12 float-left col px-5 px-md-3 py-3 main">
            <h1 class="display-3 hidden-xs-down">
                Dashboard
            </h1>
            <% include ./partials/messages %>
        </main>
                <h2 class="accordion-header">
                    <button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#schemaDescriptionContainer" aria-expanded="true" aria-controls="schemaDescriptionContainer">Metadata schema definitions</button>
                    
                </h2>
                <div id="schemaDescriptionContainer" class="collapse" data-bs-parent="schemaAccordion">
                    <div class="card card-body">
                    <table class="table table-bordered">
                        <thead>
                        <tr>
                            <th>URI</th>
                            <th>Name</th>
                        </tr>
                        </thead>
                        <tbody>
                        <% for (desc of descriptionList) { %>
                            <tr>
                                <td><%= desc[0]%></td>
                                <td><%= desc[1]%></td>
                                <td><button class="btn btn-primary" onclick="addToList('<%= desc[0] %>')">Add</button></td>
                            </tr>
                        <% } %>
                        </tbody>
                    </table>
                    </div>
                </div>
        <form action="/metadata/updateList" method="POST">
            <div class="form-group">
                <textarea rows="5" cols="60" id="list" name="list"><%= list %></textarea>
                <p><label class="display-5" for="list">The ressource which should be allowed/blocked.</label></p>
            </div>
            <div class="form-group">
                
                <% if (useAllowList===true) { %>
                    <p><input type="radio" checked=true id="useAllowListYes" name="useAllowList" value="true">
                    <label for="useAllowListYes">Allow only the URIs in this list and block the rest</label></p>
                    <p><input type="radio" id="useAllowListNo" name="useAllowList" value="false">
                    <label for="useAllowListNo">Allow all URIs and block only those in the list</label></p>
                <% } else { %>
                    <p><input type="radio" id="useAllowListYes" name="useAllowList" value="true">
                    <label for="useAllowListYes">Allow only the URIs in this list and block the rest</label></p>
                    <p><input type="radio" checked=true id="useAllowListNo" name="useAllowList" value="false">
                    <label for="useAllowListNo">Block only the URIs in this list and allow the rest</label></p>
                <% } %>
            </div>
            <button type="submit" class="btn btn-primary">Update</button>
        </form>

    </div>
</div>